@charset "UTF-8";

@font-face {
    font-family: PrimeIcons;
    font-display: auto;
    src: url(primeicons.ttf) format('truetype');
    font-weight: 400;
    font-style: normal
}
.sidebar {
    width: 250px;
    height: 100vh;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    background-image: -webkit-gradient(linear,left top,left bottom,from(#052767));
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,.4);
    }

.top-row {
    height: 3.5rem;
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
}

.navbar-dark .navbar-brand {
    color: #fff;
}

.flex-column {
    -ms-flex-direction: column !important;
    flex-direction: column !important;
}

.navbar-brand {
    display: inline-block;
    padding-top: 0.3125rem;
    padding-bottom: 0.3125rem;
    margin-right: 1rem;
    font-size: 1.25rem;
    line-height: inherit;
    white-space: nowrap;
    list-style: none;
}

.nav-item {
    font-size: .9rem;
    padding-bottom: 0.5rem;
}

.nav-link {
    display: block;
    padding: 0.5rem 1rem;
    padding-top: 0.5rem;
    padding-right: 1rem;
    padding-bottom: 0.5rem;
    padding-left: 1rem;
    height: 32px;
}
    .nav-link.active {
        background-color: #007bff;
        color: white;
        border-left-color: #0056b3;
    }

.nav-item a {
    color: #d7d7d7;
    border-radius: 4px;
    display: -webkit-box;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    line-height: 3rem;
    font-family: Montserrat,-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    font-size: 18px;
    font-weight: 600;
}

.nav {
    display: -webkit-box;
    display: flex;
    flex-wrap: wrap;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
}

.card {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: .25rem;
}
.card-header {
    padding: .75rem 1.25rem;
    margin-bottom: 0;
    background-color: rgba(0, 0, 0, .03);
    border-bottom: 1px solid rgba(0, 0, 0, .125);
}
.card-body {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1.25rem;
}
label {
    display: inline-block;
    margin-bottom: .5rem;
}
.form-control:focus {
    color: #495057;
    background-color: #fff;
    border-color: #80bdff;
    outline: 0;
    box-shadow: 0 0 0 .2rem rgba(0, 123, 255, .25);
}
.form-control {
    display: block;
    width: 95%;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
.form-group {
    margin-bottom: 1rem;
}
.btn-primary {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.btn {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
.h4, h4 {
    font-size: 1.5rem;
}
.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    margin-bottom: .5rem;
    font-weight: 500;
    line-height: 1.2;
}
.h2, h2 {
    font-size: 2.5rem;
}
.pl-4, .px-4 {
    padding-left: 1.5rem !important;
}

.pl-3, .px-3 {
    padding-left: 1rem !important;
    padding-right: 1rem !important;
}

.nav-item a:hover {
    background-color: rgba(255,255,255,.1);
    color: #fff;
}

.nav-link:focus, .nav-link:hover {
    text-decoration: none;
}

.app {
    position: relative;
    display: -webkit-box;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-direction: row;
}

.main {
    flex-grow: 1;
}

html {
    font-family: sans-serif;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba($black, 0);
}
/* Style for the outer container (box with rounded corners) */
.outer-container {
    background-color: #f0f0f0;
    border-radius: 10px; /* Add rounded corners */
    padding: 20px; /* Add some padding to create space around the content */
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2); /* Add a subtle shadow */
    padding-right: 40px;
    margin-top: 20px; /* Distance from the top */
    margin-left: 20px; /* Distance from the left */
}
/* Style for buttons */
sidebutton {
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    width: 75px;
    height: 58px;
    cursor: pointer;
    font-size: 18px;
    margin-bottom: 20px; /* Add vertical spacing between buttons */
    display: block; /* Ensure buttons stack vertically */
}

/* Container for the count label and buttons */
.container {
    display: flex;
    align-items: center;
}

.container2 {
    overflow: auto; /* Ensure the container expands properly */
}

.container3 {
    display: flex;
    flex-direction: column; /* Arrange child elements vertically */
    align-items: center;
}

/* Style for the count label */
.label1 {
    font-size: 32px;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; /* Use a modern font (Segoe UI) */
    margin: 0 10px;
    margin-right: 50px;
}
.w2ui-grid .w2ui-grid-body td {
    font-family: "OpenSans", "Helvetica Neue", sans-serif;
    font-size: 14px; /* Adjust this value to your desired font size */
}

/* Custom CSS for the horizontal line */
hr {
    border: none;
    height: 3px; /* Adjust the thickness here */
    background-color: black; /* Change the line color if needed */
    width: 120px; /* Set the width to 150px */
    margin-right: 30px;
}

h1 {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; /* Use a modern font (Segoe UI) */
    display: block;
    font-size: 2em;
    font-weight: 500;
    margin-top: 5px;
    margin-bottom: 25px;
    margin-left: 35px;
}

/* Center the elements on the page */
body {
    display: flex;
    flex-direction: column;
    height: 100vh;
    margin: 0;
    font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
}

    body a {
        color: #007ad9;
        text-decoration: none;
        text-decoration-line: none;
    }

    body .ui-button {
        margin: 0;
        color: #fff;
        background-color: #007ad9;
        border: 1px solid #007ad9;
        font-size: 14px;
        -webkit-transition: background-color .2s,box-shadow .2s;
        transition: background-color .2s,box-shadow .2s;
    }
/* Style for the bottom label */
.bottom-label {
    font-size: 16px;
    color: #555;
    text-align: center; /* Center-align the text */
    margin-top: 10px;
}

/* Style for the container that wraps the outer-container and bottom-label */
.container-wrapper {
    position: relative; /* Position the wrapper */
    margin-right: auto;
}

.placeholder-div {
    width: 150px;
    height: 150px;
    opacity: 0;
}

.htmx-indicator-show {
    opacity: 1;
    transition: opacity 200ms ease-in;
}

.headercontainer {
    height: 50px; /* Adjust the height as needed */
    background-color: #f4f4f4;
    border: 1px solid #c8c8c8;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 20px;
    padding-right: 20px;
}

.add-button {
    padding: 10px 10px;
    background-color: #007ad9;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    height: 35px;
    margin-right: 10%;
    font-family: "Open Sans","Helvetica Neue",sans-serif;
    font-size: 14px;
    text-decoration: none;
}

.csv-button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    background-color: #007ad9; /* Button background color */
    border: none;
    color: white;
    border-radius: 5px;
    cursor: pointer;
    height: 35px;
    width: 83px;
    font-family: "Open Sans","Helvetica Neue",sans-serif;
    font-size: 14px;
    text-decoration: none;
}

    .csv-button:hover {
        background-color: darkblue;
    }

.suspend-button {

    align-items: center;
    justify-content: center;
    padding: 10px;
    background-color: #007ad9; /* Button background color */
    border: none;
    color: white;
    border-radius: 5px;
    cursor: pointer;
    margin-left: 15px;
    height: 35px;
    width: 83px;
    font-family: "Open Sans","Helvetica Neue",sans-serif;
    font-size: 14px;
    text-decoration: none;
}

    .suspend-button:hover {
        background-color: darkblue;
    }
.remove-button {
    align-items: center;
    justify-content: center;
    background-color: red; /* Button background color */
    border: none;
    color: white;
    border-radius: 5px;
    cursor: pointer;
    margin-left: 7px;
    height: 35px;
    width: 32px;
    font-family: primeicons;
    font-size: 1.25rem;
    text-decoration: none;
}

    .remove-button:hover {
        background-color: darkred;
    }

.pi-times:before {
    content: "\e90b"
}

.add-button:hover {
    background-color: darkblue;
}
